[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.DblClick

Performs actions needed when the Left mouse button is double clicked on the tree view control.

## Declaration

Source position: comctrls.pp line 3599

`protected procedure TCustomTreeView.DblClick; override;`

## Description

DblClick is an overridden method in TCustomTreeView. It calls the inherited method when the mouse event occurs on a node with an expand / collapse indicator. DblClick is called when the mouse up event is handled for the corresponding mouse down event.

## See also

TCustomTreeView.MouseDown |  | Handles mouse down events for the tree view control.
TCustomTreeView.MouseUp |  | Handles a mouse up event for the control.
TControl.DblClick |  | Signals the OnDblClick event handler (when assigned).